Subject: Re: linux-next: manual merge of the kunit-next tree with the kunit-fixes tree

From: Shuah Khan <[email-masked]>
Date: Tue, 19 Oct 2021 15:26:40 -0600

On 10/8/21 10:31 AM, Shuah Khan wrote:
> On 10/7/21 10:29 PM, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the kunit-next tree got a conflict in:
>>
>>    tools/testing/kunit/kunit.py
>>
>> between commit:
>>
>>    d8c23ead708b ("kunit: tool: better handling of quasi-bool args (--json, --raw_output)")
>>
>> from the kunit-fixes tree and commit:
>>
>>    6710951ee039 ("kunit: tool: support running each suite/test separately")
>>
>> from the kunit-next tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any particularly
>> complex conflicts.
>>
> 
> Thank you for the fixing it up. I will fix this up in the kunit-next once
> the kunit-fixes pull request goes out.
> 

I fixed the merge conflict in kunit-next tree after rebase to Linux 5.15-rc6.
There is no need to carry this fix.

Daniel! Please review to see if it looks good. It was very minor fix-up.

- from typing import Iterable, Sequence
  -from typing import Iterable, List
++from typing import Iterable, Sequence, List

thanks,
-- Shuah